Page MenuHomePhabricator

Deploy Blueprint on mediawiki.org as optional and experimental skin
Closed, DeclinedPublic

Description

This is a proposal to deploy Blueprint as an optional skin in mediawiki.org, tagged as "Blueprint_EXPERIMENTAL" if needed, to set user expectations right.

For T301: Define the look&feel of the Developer Hub and T93610: Put WikimediaUI Style Guide on mediawiki.org we would want this skin to be the default for the namespace(s) of their pages, using something like the SkinPerNamespace extension.

See Writing an extension for deployment and Review queue checklist for steps towards deployment.

Checklist

From https://www.mediawiki.org/wiki/Review_queue

  • Create a tracking task for the extension's deployment to Wikimedia wikis. This bug should only concern deployment itself, any sub-issues (that block deployment) should be separate bugs that are listed under "Blocked by" for this tracking bug.
  • Create Skin mediawiki.org page for developers and people who will install or configure the extension.
  • Create Help:Skin: mediawiki.org page for end-user documentation. Cross-link it with the above.
  • Request a project in Phabricator if none exists yet. Blueprint
  • Get the extension code in Gerrit. rSBLU mediawiki-skins-Blueprint
  • Show community support/desire for the extension to be deployed, if applicable.
  • Request (and respond to) a product review, if applicable
  • Request (and respond to) a design review, if applicable.
  • Open (and respond to) a security review ticket blocking your tracking task.
  • Make sure the extension is automatically branched.

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedNone
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
OpenNone
ResolvedNone
OpenNone
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolved Spage
OpenNone
OpenNone
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
OpenNone
Resolved Spage
OpenNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
Resolved Spage
ResolvedJdlrobson
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedQgil
ResolvedVolker_E
Resolved violetto
ResolvedVolker_E
ResolvedVolker_E
DeclinedNone
ResolvedNone
ResolvedVolker_E
DeclinedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPastakhov
ResolvedNone
ResolvedPastakhov
ResolvedNone
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Spage raised the priority of this task from to Needs Triage.Mar 23 2015, 5:55 PM
Spage added a project: Blueprint.
Spage added subscribers: Aklapper, Spage.
Qgil added a subscriber: Qgil.Mar 23 2015, 7:29 PM

Would the skin need security review before deploy?

Would the skin need security review before deploy?

I assume so, it's PHP code. Review queue says "The review queue consists of MediaWiki extensions and other code that must go through the review process before possibly being deployed to Wikimedia wikis."

Additional components make review harder. MW core recently got Mustache templating for both front-end (I2190276a6) and back-end (I28cd13d4d1); does Blueprint still need its own vendor/lightncandy and vendor/werdnum/{Abstract,Simple}LightNCandy?

Qgil renamed this task from deploy Blueprint skin on mediawiki.org to Deploy Blueprint on mediawiki.org as optional and experimental skin.Mar 24 2015, 7:55 AM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil updated the task description. (Show Details)Jun 15 2015, 11:36 AM
Qgil added a comment.EditedJun 15 2015, 11:39 AM

I have added the Review queue checklist to the description in order to track progress. Pending points should have their own tasks blocking this one. @Spage, could you do this, please? Maybe not all points are required (i.e. Help page).

Additional components make review harder. MW core recently got Mustache templating for both front-end (I2190276a6) and back-end (I28cd13d4d1); does Blueprint still need its own vendor/lightncandy and vendor/werdnum/{Abstract,Simple}LightNCandy?

I guess this question is still relevant?

Niharika added a subscriber: Niharika.
Prtksxna triaged this task as Normal priority.Jul 3 2015, 4:37 AM
Qgil added a comment.Jul 8 2015, 10:39 AM

We have agreed that Web-APIs-Hub (was Data & Developer Hub) will be building on the API: namespace in mediawiki.org. Details to be seen (T105133), but one aspect to consider is that such namespace makes extensive use of the Translate extension. Has anybody checked whether the UI elements of Translate behave well and look good in Blueprint? See for instance https://www.mediawiki.org/wiki/API:Main_page

We have agreed that Web-APIs-Hub (was Data & Developer Hub) will be building on the API: namespace in mediawiki.org. Details to be seen (T105133), but one aspect to consider is that such namespace makes extensive use of the Translate extension. Has anybody checked whether the UI elements of Translate behave well and look good in Blueprint? See for instance https://www.mediawiki.org/wiki/API:Main_page

I'll try to look into that as soon as possible, currently making strong progress to brush up Blueprint for deployment.

Qgil changed the status of subtask T104672: Convert Blueprint to core's HTML templating from Open to Stalled.Aug 8 2015, 12:51 PM

I have added the Review queue checklist to the description in order to track progress. Pending points should have their own tasks blocking this one. @Spage, could you do this, please? Maybe not all points are required (i.e. Help page).

Will do.

Additional components make review harder. MW core recently got Mustache templating for both front-end (I2190276a6) and back-end (I28cd13d4d1); does Blueprint still need its own vendor/lightncandy and vendor/werdnum/{Abstract,Simple}LightNCandy?

I made gerrit 223165 that removes the dependency, but it's incomplete.

Spage updated the task description. (Show Details)Aug 31 2015, 7:33 PM

I'd want to make this an umbrella task for all blocking tasks for a production-ready Blueprint skin. Any thoughts or objections on that?

Qgil awarded a token.Sep 10 2015, 9:49 PM

Is the Blueprint skin available on Beta Labs?

In general, it should be a lot easier to enable optional/experimental skins.

Qgil added a comment.Nov 5 2015, 8:10 AM

Is the Blueprint skin available on Beta Labs?

There is at least http://livingstyleguide.wmflabs.org/, but @Volker_E should confirm whether that site has the latest version, or if there is another instance available only to showcase and test the skin with the version in trunk.

In general, it should be a lot easier to enable optional/experimental skins.

I agree, and in fact nobody but ourselves (and a security review that we haven't requested yet) is really stopping us from enabling this skin as optional/experimental skin in mediawiki.org.

From the list of blocking tasks, there are two that I think stand out as real blockers:

Prtksxna closed this task as Declined.May 31 2017, 6:25 PM

The skin is no longer maintained